import 'package:vone_ipfs/generated/json/base/json_convert_content.dart';

class BaseEntity<T> {

  late int code;
  late String message;
  late T data;

  BaseEntity(this.code, this.message, this.data);

  BaseEntity.fromJson(Map<String, dynamic> json) {
    code = json['code'] as int;
    message = json['message'] as String;
    if (json.containsKey('data')) {
      data = _generateOBJ<T>(json['data']);
    }
  }

  T _generateOBJ<T>(Object json) {
    if (T.toString() == 'String') {
      return json.toString() as T;
    } else if (T.toString() == 'Map<dynamic, dynamic>') {
      return json as T;
    } else {
      /// List类型数据由fromJsonAsT判断处理
      return JsonConvert.fromJsonAsT<T>(json);
    }
  }
}
