import 'package:vone_ipfs/bean/folder_data_entity.dart';

folderDataEntityFromJson(FolderDataEntity data, Map<String, dynamic> json) {
	if (json['code'] != null) {
		data.code = json['code'] is String
				? int.tryParse(json['code'])
				: json['code'].toInt();
	}
	if (json['data'] != null) {
		data.data = FolderDataData().fromJson(json['data']);
	}
	if (json['msg'] != null) {
		data.msg = json['msg'].toString();
	}
	return data;
}

Map<String, dynamic> folderDataEntityToJson(FolderDataEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['code'] = entity.code;
	data['data'] = entity.data?.toJson();
	data['msg'] = entity.msg;
	return data;
}

folderDataDataFromJson(FolderDataData data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.xList = (json['list'] as List).map((v) => FolderDataDataList().fromJson(v)).toList();
	}
	if (json['pager'] != null) {
		data.pager = FolderDataDataPager().fromJson(json['pager']);
	}
	if (json['parent'] != null) {
		data.parent = FolderDataDataParent().fromJson(json['parent']);
	}
	return data;
}

Map<String, dynamic> folderDataDataToJson(FolderDataData entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.xList?.map((v) => v.toJson())?.toList();
	data['pager'] = entity.pager?.toJson();
	data['parent'] = entity.parent?.toJson();
	return data;
}

folderDataDataListFromJson(FolderDataDataList data, Map<String, dynamic> json) {
	if (json['fileName'] != null) {
		data.fileName = json['fileName'].toString();
	}
	if (json['fileSize'] != null) {
		data.fileSize = json['fileSize'] is String
				? int.tryParse(json['fileSize'])
				: json['fileSize'].toInt();
	}
	if (json['fileType'] != null) {
		data.fileType = json['fileType'].toString();
	}
	if (json['ownerID'] != null) {
		data.ownerID = json['ownerID'].toString();
	}
	if (json['isDir'] != null) {
		data.isDir = json['isDir'] is String
				? int.tryParse(json['isDir'])
				: json['isDir'].toInt();
	}
	if (json['parentID'] != null) {
		data.parentID = json['parentID'] is String
				? int.tryParse(json['parentID'])
				: json['parentID'].toInt();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['updated'] != null) {
		data.updated = json['updated'] is String
				? int.tryParse(json['updated'])
				: json['updated'].toInt();
	}
	if (json['created'] != null) {
		data.created = json['created'] is String
				? int.tryParse(json['created'])
				: json['created'].toInt();
	}
	return data;
}

Map<String, dynamic> folderDataDataListToJson(FolderDataDataList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['fileName'] = entity.fileName;
	data['fileSize'] = entity.fileSize;
	data['fileType'] = entity.fileType;
	data['ownerID'] = entity.ownerID;
	data['isDir'] = entity.isDir;
	data['parentID'] = entity.parentID;
	data['id'] = entity.id;
	data['updated'] = entity.updated;
	data['created'] = entity.created;
	return data;
}

folderDataDataPagerFromJson(FolderDataDataPager data, Map<String, dynamic> json) {
	if (json['page'] != null) {
		data.page = json['page'] is String
				? int.tryParse(json['page'])
				: json['page'].toInt();
	}
	if (json['pageSize'] != null) {
		data.pageSize = json['pageSize'] is String
				? int.tryParse(json['pageSize'])
				: json['pageSize'].toInt();
	}
	if (json['totalRows'] != null) {
		data.totalRows = json['totalRows'] is String
				? int.tryParse(json['totalRows'])
				: json['totalRows'].toInt();
	}
	return data;
}

Map<String, dynamic> folderDataDataPagerToJson(FolderDataDataPager entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['page'] = entity.page;
	data['pageSize'] = entity.pageSize;
	data['totalRows'] = entity.totalRows;
	return data;
}

folderDataDataParentFromJson(FolderDataDataParent data, Map<String, dynamic> json) {
	if (json['fileName'] != null) {
		data.fileName = json['fileName'].toString();
	}
	if (json['fileSize'] != null) {
		data.fileSize = json['fileSize'] is String
				? int.tryParse(json['fileSize'])
				: json['fileSize'].toInt();
	}
	if (json['fileType'] != null) {
		data.fileType = json['fileType'].toString();
	}
	if (json['ownerID'] != null) {
		data.ownerID = json['ownerID'].toString();
	}
	if (json['isDir'] != null) {
		data.isDir = json['isDir'] is String
				? int.tryParse(json['isDir'])
				: json['isDir'].toInt();
	}
	if (json['parentID'] != null) {
		data.parentID = json['parentID'] is String
				? int.tryParse(json['parentID'])
				: json['parentID'].toInt();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['updated'] != null) {
		data.updated = json['updated'] is String
				? int.tryParse(json['updated'])
				: json['updated'].toInt();
	}
	if (json['created'] != null) {
		data.created = json['created'] is String
				? int.tryParse(json['created'])
				: json['created'].toInt();
	}
	return data;
}

Map<String, dynamic> folderDataDataParentToJson(FolderDataDataParent entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['fileName'] = entity.fileName;
	data['fileSize'] = entity.fileSize;
	data['fileType'] = entity.fileType;
	data['ownerID'] = entity.ownerID;
	data['isDir'] = entity.isDir;
	data['parentID'] = entity.parentID;
	data['id'] = entity.id;
	data['updated'] = entity.updated;
	data['created'] = entity.created;
	return data;
}