import 'package:vone_ipfs/bean/upload_file_entity.dart';

uploadFileEntityFromJson(UploadFileEntity data, Map<String, dynamic> json) {
	if (json['code'] != null) {
		data.code = json['code'] is String
				? int.tryParse(json['code'])
				: json['code'].toInt();
	}
	if (json['data'] != null) {
		data.data = UploadFileData().fromJson(json['data']);
	}
	if (json['msg'] != null) {
		data.msg = json['msg'].toString();
	}
	return data;
}

Map<String, dynamic> uploadFileEntityToJson(UploadFileEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['code'] = entity.code;
	data['data'] = entity.data?.toJson();
	data['msg'] = entity.msg;
	return data;
}

uploadFileDataFromJson(UploadFileData data, Map<String, dynamic> json) {
	if (json['fileName'] != null) {
		data.fileName = json['fileName'].toString();
	}
	if (json['fileSize'] != null) {
		data.fileSize = json['fileSize'] is String
				? int.tryParse(json['fileSize'])
				: json['fileSize'].toInt();
	}
	if (json['fileType'] != null) {
		data.fileType = json['fileType'].toString();
	}
	if (json['ownerID'] != null) {
		data.ownerID = json['ownerID'].toString();
	}
	if (json['isDir'] != null) {
		data.isDir = json['isDir'] is String
				? int.tryParse(json['isDir'])
				: json['isDir'].toInt();
	}
	if (json['parentID'] != null) {
		data.parentID = json['parentID'] is String
				? int.tryParse(json['parentID'])
				: json['parentID'].toInt();
	}
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['updated'] != null) {
		data.updated = json['updated'] is String
				? int.tryParse(json['updated'])
				: json['updated'].toInt();
	}
	if (json['created'] != null) {
		data.created = json['created'] is String
				? int.tryParse(json['created'])
				: json['created'].toInt();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	return data;
}

Map<String, dynamic> uploadFileDataToJson(UploadFileData entity) {
	final Map<String, dynamic> data = Map<String, dynamic>();
	data['fileName'] = entity.fileName;
	data['fileSize'] = entity.fileSize;
	data['fileType'] = entity.fileType;
	data['ownerID'] = entity.ownerID;
	data['isDir'] = entity.isDir;
	data['parentID'] = entity.parentID;
	data['id'] = entity.id;
	data['updated'] = entity.updated;
	data['created'] = entity.created;
	data['url'] = entity.url;
	return data;
}