import 'dart:convert';
import 'dart:io';

import 'package:flutter/material.dart';
import 'package:vone_ipfs/utils/ipfs_utils.dart';
import 'package:webview_flutter/webview_flutter.dart';

class FilePreviewPage extends StatefulWidget {
   String fileUrl;
   FilePreviewPage({Key? key, required this.fileUrl}) : super(key: key);
  @override
  FilePreviewPageState createState() => new FilePreviewPageState();
}

class FilePreviewPageState extends State<FilePreviewPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(appBar: AppBar(title: Text('预览'),centerTitle: true,),body:  WebView(
      initialUrl: '${IPFSUtils.instance!.previewUrl}?url=${encodeBase64(widget.fileUrl)}',
      // initialUrl: 'https://www.baidu.com',
      javascriptMode:JavascriptMode.unrestricted ,
    ),);
  }
  @override
  void initState() {
    super.initState();
    if (Platform.isAndroid) WebView.platform = AndroidWebView();
    print('${IPFSUtils.instance!.previewUrl}?url=${encodeBase64(widget.fileUrl)}');
  }
  static String encodeBase64(String url){
    var uri = Uri.encodeComponent(url);
    var content = utf8.encode(uri);
    var digest = base64Encode(content);
    return digest;
  }

  @override
  void dispose() {
    super.dispose();
  }
}