import 'package:flutter/material.dart';

class ImagePickerDialog extends StatefulWidget {
  final Function localCallback;
  final Function cloudCallback;

  const ImagePickerDialog(
      {Key? key, required this.localCallback, required this.cloudCallback})
      : super(key: key);

  @override
  _ImagePickerDialogState createState() => _ImagePickerDialogState();
}

class _ImagePickerDialogState extends State<ImagePickerDialog> {
  _dismissDialog() {
    Navigator.of(context).pop();
  }

  @override
  Widget build(BuildContext context) {
    return Material(
      type: MaterialType.transparency,
      child: Column(
        children: <Widget>[
          Expanded(
            child: GestureDetector(
              behavior: HitTestBehavior.translucent,
              onTap: _dismissDialog,
              child: Container(),
            ),
          ),
          Container(
            decoration: const BoxDecoration(
              color: Colors.white,
              borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(20.0),
                  topRight: Radius.circular(20.0)),
            ),
            child: Column(
              children: <Widget>[
                InkWell(
                  child: Container(
                    width: double.infinity,
                    padding: const EdgeInsets.symmetric(vertical: 20),
                    alignment: Alignment.center,
                    child: const Text(
                      '本地文件',
                      style: TextStyle(fontSize: 18),
                    ),
                  ),
                  onTap: () {
                    _dismissDialog();
                    widget.localCallback();
                  },
                ),
                const Divider(
                  color: Color(0xFFF1F1F6),
                  height: 1,
                ),
                InkWell(
                  child: Container(
                    width: double.infinity,
                    alignment: Alignment.center,
                    padding: const EdgeInsets.symmetric(vertical: 20),
                    child: const Text(
                      'IPFS文件',
                      style: TextStyle(fontSize: 18),
                    ),
                  ),
                  onTap: () {
                    _dismissDialog();
                    widget.cloudCallback();
                  },
                ),
                Container(height: 10, color: const Color(0xFFF1F1F6)),
                InkWell(
                  child: const Padding(
                    padding: EdgeInsets.symmetric(vertical: 20),
                    child: Text(
                      '取消',
                      style: TextStyle(fontSize: 18),
                    ),
                  ),
                  onTap: _dismissDialog,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
